> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywise.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a statement

> Retrieve a single statement by its ID.

**Important:** This view contains all statement information **except for mandate details**. To access mandate details of a statement, use the separate list mandate details endpoint.



## OpenAPI

````yaml get /v1/statements/{id}/
openapi: 3.0.3
info:
  title: paywise Case Management API
  version: v1
  description: |

    Use our Case Management API to perform the debt entire collection process.

    Please refer to the [official docs][ref1] for more!

    [ref1]: https://docs.paywise.de/api-docs/case-management-api/introduction
servers:
  - url: https://api.paywise.de
    description: Production environment
security: []
externalDocs:
  url: https://docs.paywise.de/api-docs/case-management-api/
paths:
  /v1/statements/{id}/:
    get:
      tags:
        - statements
      summary: Retrieve a statement
      description: >-
        Retrieve a single statement by its ID.


        **Important:** This view contains all statement information **except for
        mandate details**. To access mandate details of a statement, use the
        separate list mandate details endpoint.
      operationId: get-statement
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Statement'
              examples:
                Example:
                  value:
                    href: >-
                      https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/
                    id: b12e4567-e89b-12d3-a456-426614174000
                    clearing_no: AB123456789
                    invoice_no: PW2023-12345
                    total_balance:
                      value: '500.00'
                      currency: EUR
                    balance_pre_outstanding_items_offsetting:
                      value: '500.00'
                      currency: EUR
                    offset_outstanding_items:
                      value: '0.00'
                      currency: EUR
                    overview_vat_specific:
                      - vat_rate: '19.00'
                        claims_from_payments_to_dca:
                          taxfree_expenses_claims:
                            value: '0.00'
                            currency: EUR
                          taxable_expenses_claims:
                            value: '0.00'
                            currency: EUR
                          taxable_expenses_vat_claims:
                            value: '0.00'
                            currency: EUR
                          fee_claims:
                            value: '52.92'
                            currency: EUR
                          fee_vat_claims:
                            value: '10.05'
                            currency: EUR
                          success_commission_claims:
                            value: '2.85'
                            currency: EUR
                          success_commission_vat_claims:
                            value: '0.54'
                            currency: EUR
                        claims_from_payments_to_client:
                          taxfree_expenses_claims:
                            value: '0.00'
                            currency: EUR
                          taxable_expenses_claims:
                            value: '0.00'
                            currency: EUR
                          taxable_expenses_vat_claims:
                            value: '0.00'
                            currency: EUR
                          fee_claims:
                            value: '0.00'
                            currency: EUR
                          fee_vat_claims:
                            value: '0.00'
                            currency: EUR
                          success_commission_claims:
                            value: '4.17'
                            currency: EUR
                          success_commission_vat_claims:
                            value: '0.79'
                            currency: EUR
                        claims_from_advanced_costs:
                          taxfree_expenses_claims:
                            value: '0.00'
                            currency: EUR
                          taxable_expenses_claims:
                            value: '15.00'
                            currency: EUR
                          taxable_expenses_vat_claims:
                            value: '2.85'
                            currency: EUR
                          fee_claims:
                            value: '0.00'
                            currency: EUR
                          fee_vat_claims:
                            value: '0.00'
                            currency: EUR
                          taxfree_litigation_expenses_claims:
                            value: '0.00'
                            currency: EUR
                          taxable_litigation_expenses_claims:
                            value: '0.00'
                            currency: EUR
                          taxable_litigation_expenses_vat_claims:
                            value: '0.00'
                            currency: EUR
                        vat:
                          value: '14.23'
                          currency: EUR
                        invoice_amount:
                          value: '74.90'
                          currency: EUR
                        invoice_amount_vat:
                          value: '14.23'
                          currency: EUR
                        payout:
                          value: '437.92'
                          currency: EUR
                    mandate_count: 1
                    mandate_details_href: >-
                      https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/mandate-details/
                    booking_date: '2023-07-15'
                    period_start: '2023-06-01'
                    period_end: '2023-06-30'
                    canceled: false
                    comment: Monthly statement for debt collection services
                    downloads:
                      - id: 6f664961-d182-578a-9bc4-5bf1a2e4d54c
                        type: full_pdf
                        filename: statement_AB123456789.pdf
                        mime_type: application/pdf
                        file_size: 89234
                        download_url: >-
                          https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/full-pdf/
                      - id: 208d9d42-20d9-5e39-81d9-82391db4f3c5
                        type: third_party_money_xlsx
                        filename: third_party_money_AB123456789.xlsx
                        mime_type: >-
                          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
                        file_size: 45123
                        download_url: >-
                          https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/third-party-money-xlsx/
                      - id: b02a6f08-d3e7-5a4b-b906-6263c045bcfb
                        type: cost_burden_xlsx
                        filename: cost_burden_AB123456789.xlsx
                        mime_type: >-
                          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
                        file_size: 32456
                        download_url: >-
                          https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/cost-burden-xlsx/
                      - id: a7e536ed-6f3f-5a6a-a0fc-f3a60dda08d4
                        type: closing_xlsx
                        filename: closing_AB123456789.xlsx
                        mime_type: >-
                          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
                        file_size: 28789
                        download_url: >-
                          https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/closing-xlsx/
                    created: '2023-07-15T10:23:45.678901Z'
          description: ''
      security:
        - tokenAuth: []
        - tokenAuth: []
components:
  schemas:
    Statement:
      type: object
      description: |-
        Mixin to provide download URLs for statement files.
        Reusable across different statement serializers.
      properties:
        href:
          type: string
          format: uri
          readOnly: true
        id:
          type: string
        clearing_no:
          type: string
          readOnly: true
          description: The clearing number of the statement.
        invoice_no:
          type: string
          readOnly: true
          description: The invoice number of the statement.
        booking_date:
          type: string
          format: date
          readOnly: true
          description: The date when the statement was booked.
        period_start:
          type: string
          format: date
          readOnly: true
          description: The start date of the period covered by the statement.
        period_end:
          type: string
          format: date
          readOnly: true
          description: The end date of the period covered by the statement.
        canceled:
          type: boolean
          readOnly: true
          description: Whether the statement has been canceled.
        comment:
          type: string
          readOnly: true
          description: Additional comment or notes on the statement.
        total_balance:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: Total balance after considering outstanding items.
        balance_pre_outstanding_items_offsetting:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: 'Saldo Inkassoverfahren: Payout before considering outstanding items.'
        offset_outstanding_items:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: Amount of outstanding items that was offset.
        mandate_count:
          type: integer
          readOnly: true
          description: Number of mandates included in this statement.
        mandate_details_href:
          type: string
          readOnly: true
          description: URL to access paginated mandate details for this statement.
        overview_vat_specific:
          type: array
          items:
            $ref: '#/components/schemas/StatementVATEntry'
          readOnly: true
          description: VAT-specific financial details for this statement.
        downloads:
          type: array
          items:
            $ref: '#/components/schemas/StatementDownload'
          readOnly: true
          description: List of available statement files with metadata and download URLs.
        created:
          type: string
          format: date-time
          readOnly: true
      required:
        - balance_pre_outstanding_items_offsetting
        - booking_date
        - canceled
        - clearing_no
        - comment
        - created
        - downloads
        - href
        - invoice_no
        - mandate_count
        - mandate_details_href
        - offset_outstanding_items
        - overview_vat_specific
        - period_end
        - period_start
        - total_balance
    Amount:
      type: object
      description: Amount
      properties:
        value:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          description: >-
            A string representation of a positive integer or decimal with two
            decimal places.
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          description: |-
            The three-character currency code (ISO-4217).

            * `EUR` - Euro
            * `USD` - US Dollar
    StatementVATEntry:
      type: object
      properties:
        vat_rate:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          readOnly: true
          description: The VAT rate applied to this entry.
        claims_from_payments_to_dca:
          allOf:
            - $ref: '#/components/schemas/StatementVATEntryClaimsFromPaymentsToDCA'
          readOnly: true
          description: >-
            Claims from payments to debt collection agency (InkassoansprÃ¼che
            aus Zahlungen ans IKU).
        claims_from_payments_to_client:
          allOf:
            - $ref: '#/components/schemas/StatementVATEntryClaimsFromPaymentsToClient'
          readOnly: true
          description: >-
            Claims from payments to client (InkassoansprÃ¼che aus Zahlungen an
            GlÃ¤ubiger).
        claims_from_advanced_costs:
          allOf:
            - $ref: '#/components/schemas/StatementVATEntryClaimsFromAdvancedCosts'
          readOnly: true
          description: >-
            Claims from advanced costs (InkassoansprÃ¼che aus verauslagten
            Kosten).
        vat:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: The total VAT amount for this entry.
        invoice_amount:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: The invoice amount for this entry.
        invoice_amount_vat:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: The VAT amount on the invoice for this entry.
        total_payments_to_dca:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: Total payments to the debt collection agency.
        instalment_payments_to_client:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: Instalment payments to the client.
        payout:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: The payout amount for this entry.
      required:
        - claims_from_advanced_costs
        - claims_from_payments_to_client
        - claims_from_payments_to_dca
        - instalment_payments_to_client
        - invoice_amount
        - invoice_amount_vat
        - payout
        - total_payments_to_dca
        - vat
        - vat_rate
    StatementDownload:
      type: object
      description: |-
        Serializer for individual download objects in statements.
        Used for schema generation and documentation.
      properties:
        id:
          type: string
          format: uuid
          description: Unique UUID identifier for the file
        type:
          type: string
          description: >-
            Type of file: "full_pdf", "third_party_money_xlsx",
            "cost_burden_xlsx", or "closing_xlsx"
        filename:
          type: string
          description: Descriptive filename for the download
        mime_type:
          type: string
          description: >-
            MIME type of the file (e.g., application/pdf,
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
        file_size:
          type: integer
          nullable: true
          description: File size in bytes
        download_url:
          type: string
          format: uri
          description: Secure download URL for the file
      required:
        - download_url
        - file_size
        - filename
        - id
        - mime_type
        - type
    CurrencyEnum:
      enum:
        - EUR
        - USD
      type: string
      description: |-
        * `EUR` - Euro
        * `USD` - US Dollar
    StatementVATEntryClaimsFromPaymentsToDCA:
      type: object
      properties:
        taxfree_expenses_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Debt Collection Agency: Tax-Free Expenses
            (InkassoansprÃ¼che aus Zahlungen ans IKU: Steuerfreie Auslagen).
        taxable_expenses_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Debt Collection Agency: Taxable Expenses
            (InkassoansprÃ¼che aus Zahlungen ans IKU: Steuerpflichtige
            Auslagen).
        taxable_expenses_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Debt Collection Agency: Taxable Expenses VAT
            (InkassoansprÃ¼che aus Zahlungen ans IKU: Steuerpflichtige Auslagen
            Umsatzsteuer).
        fee_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Debt Collection Agency: Fee
            (InkassoansprÃ¼che aus Zahlungen ans IKU: Honorar).
        fee_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Debt Collection Agency: Fee VAT
            (InkassoansprÃ¼che aus Zahlungen ans IKU: Honorar Umsatzsteuer).
        success_commission_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Debt Collection Agency: Success Commission
            (InkassoansprÃ¼che aus Zahlungen ans IKU: Erfolgsprovision).
        success_commission_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Debt Collection Agency: Success Commission
            VAT (InkassoansprÃ¼che aus Zahlungen ans IKU: USt. auf
            Erfolgsprovision).
      required:
        - fee_claims
        - fee_vat_claims
        - success_commission_claims
        - success_commission_vat_claims
        - taxable_expenses_claims
        - taxable_expenses_vat_claims
        - taxfree_expenses_claims
    StatementVATEntryClaimsFromPaymentsToClient:
      type: object
      properties:
        taxfree_expenses_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Client: Tax-Free Expenses (InkassoansprÃ¼che
            aus Zahlungen an GlÃ¤ubiger: Steuerfreie Auslagen).
        taxable_expenses_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Client: Taxable Expenses (InkassoansprÃ¼che
            aus Zahlungen an GlÃ¤ubiger: Steuerpflichtige Auslagen).
        taxable_expenses_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Client: Taxable Expenses VAT
            (InkassoansprÃ¼che aus Zahlungen an GlÃ¤ubiger: Steuerpflichtige
            Auslagen Umsatzsteuer).
        fee_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Client: Fee (InkassoansprÃ¼che aus Zahlungen
            an GlÃ¤ubiger: Honorar).
        fee_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Client: Fee VAT (InkassoansprÃ¼che aus
            Zahlungen an GlÃ¤ubiger: Honorar Umsatzsteuer).
        success_commission_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Client: Success Commission
            (InkassoansprÃ¼che aus Zahlungen an GlÃ¤ubiger: Erfolgsprovision).
        success_commission_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Payments to Client: Success Commission VAT
            (InkassoansprÃ¼che aus Zahlungen ans GlÃ¤ubiger: USt. auf
            Erfolgsprovision).
      required:
        - fee_claims
        - fee_vat_claims
        - success_commission_claims
        - success_commission_vat_claims
        - taxable_expenses_claims
        - taxable_expenses_vat_claims
        - taxfree_expenses_claims
    StatementVATEntryClaimsFromAdvancedCosts:
      type: object
      properties:
        taxfree_expenses_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Advanced Costs: Tax-Free Expenses (InkassoansprÃ¼che aus
            verauslagten Kosten: Steuerfreie Auslagen).
        taxable_expenses_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Advanced Costs: Taxable Expenses (InkassoansprÃ¼che aus
            verauslagten Kosten: Steuerpflichtige Auslagen).
        taxable_expenses_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Advanced Costs: Taxable Expenses VAT (InkassoansprÃ¼che
            aus verauslagten Kosten: Steuerpflichtige Auslagen Umsatzsteuer).
        fee_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Advanced Costs: Fee (InkassoansprÃ¼che aus verauslagten
            Kosten: Honorar).
        fee_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Advanced Costs: Fee VAT (InkassoansprÃ¼che aus
            verauslagten Kosten: Honorar Umsatzsteuer).
        taxfree_litigation_expenses_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Advanced Costs: Tax-Free Litigation Expenses
            (InkassoansprÃ¼che aus verauslagten Kosten: Steuerfreie
            Prozesskosten).
        taxable_litigation_expenses_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Advanced Costs: Taxable Litigation Expenses
            (InkassoansprÃ¼che aus verauslagten Kosten: Steuerpflichtige
            Prozesskosten).
        taxable_litigation_expenses_vat_claims:
          allOf:
            - $ref: '#/components/schemas/Amount'
          readOnly: true
          description: >-
            Claims from Advanced Costs: Taxable Litigation Expenses VAT
            (InkassoansprÃ¼che aus verauslagten Kosten: Steuerpflichtige
            Prozesskosten Umsatzsteuer).
      required:
        - fee_claims
        - fee_vat_claims
        - taxable_expenses_claims
        - taxable_expenses_vat_claims
        - taxable_litigation_expenses_claims
        - taxable_litigation_expenses_vat_claims
        - taxfree_expenses_claims
        - taxfree_litigation_expenses_claims
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````